complexType "FallbackReferencePrice"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | valuationPostponement?, fallbackSettlementRateOption*, fallbackSurveyValuationPostponenment?, calculationAgentDetermination?
</...>

Content Model Elements (4):

  calculationAgentDetermination (in fallbackReferencePrice in priceSourceDisruption in nonDeliverableSettlement in settlementProvision),
  fallbackSettlementRateOption,
  fallbackSurveyValuationPostponenment,
  valuationPostponement (in fallbackReferencePrice in priceSourceDisruption in nonDeliverableSettlement in settlementProvision)

All Direct / Indirect Based Elements (1):

  fallbackReferencePrice (in priceSourceDisruption in nonDeliverableSettlement in settlementProvision)

Known Usage Locations

- As direct type of elements (1):
  fallbackReferencePrice (in priceSourceDisruption in nonDeliverableSettlement in settlementProvision)

Annotation
The method, prioritzed by the order it is listed in this element, to get a replacement rate for the disrupted settlement rate option.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="FallbackReferencePrice"> <xsd:sequence> <xsd:element minOccurs="0" name="valuationPostponement" type="ValuationPostponement"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fallbackSettlementRateOption" type="SettlementRateOption"/> <xsd:element minOccurs="0" name="fallbackSurveyValuationPostponenment" type="Empty"/> <xsd:element minOccurs="0" name="calculationAgentDetermination" type="CalculationAgent"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationAgentDetermination

  Type: | CalculationAgent, complex content

  The calculation agent will decide the rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationAgentDetermination" type="CalculationAgent"/>

fallbackSettlementRateOption

  Type: | SettlementRateOption, simple content

  This settlement rate option will be used in its place.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="fallbackSettlementRateOption" type="SettlementRateOption"/>

fallbackSurveyValuationPostponenment

  Type: | Empty, empty content

  Request rate quotes from the market.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fallbackSurveyValuationPostponenment" type="Empty"/>

valuationPostponement

  Type: | ValuationPostponement, complex content

  Specifies how long to wait to get a quote from a settlement rate option upon a price source disruption
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationPostponement" type="ValuationPostponement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.